Subject: Re: [PATCH v1 net-next] tuntap: convert to 64-bit interface statistics

From: Jonathan Toppins <[email-masked]>
Date: Thu, 19 Mar 2015 19:52:04 -0400

On 3/19/15 6:56 PM, Eric Dumazet wrote:
> On Thu, 2015-03-19 at 17:56 -0400, Jonathan Toppins wrote:
>
>
>> Or are you suggesting per-cpu counters would be preferred which would
>> possibly eliminate the need for this lock?
>
> Might be overkill for a device that is probably used by one cpu,
> considering you defined a full  struct rtnl_link_stats64, instead of the
> fields that are really handled.
>

Ok. So summarizing for v2, so far; eliminating the back-to-back lock -> 
release -> lock -> release is preferred (I agree with this).

It still seems like you are not a huge fan of the additional lock, 
should I hold off on sending v2 for a day, so we can ponder alternatives?